View Composer 需要 SQL 資料庫來儲存資料。View Composer 資料庫必須位於 View Composer Server 主機上或可供其使用。您可選擇性設定事件資料庫來記錄來自 View 連線伺服器的 View 事件相關資訊。

如果 vCenter Server 已存在資料庫伺服器執行個體,則 View Composer 可以使用該現有的資料庫伺服器執行個體 (如果是 1中列出的版本)。例如,View Composer 可以使用 vCenter Server 隨附的 Microsoft SQL Server 執行個體。如果資料庫伺服器執行個體尚不存在,則必須安裝一個。

View Composer 支援 vCenter Server 所支援的部分資料庫伺服器。如果您已使用 vCenter Server 搭配 View Composer 不支援的資料庫伺服器,請繼續針對 vCenter Server 使用該資料庫伺服器,並安裝另一部用於 View Composer 的資料庫伺服器。

重要事項︰

如果您在與 vCenter Server 相同的 SQL Server 執行個體上建立 View Composer 資料庫,請不要覆寫 vCenter Server 資料庫。

下表列出自本文件出版日期後支援的資料庫伺服器和版本。如需有關支援資料庫的最新資訊,請參閱《VMware 產品互通性對照表》,網址為 http://www.vmware.com/resources/compatibility/sim/interop_matrix.php。對於解決方案/資料庫互通性,在為「新增資料庫」步驟選取產品和版本後,若要查看支援的資料庫版本清單,請選取任意,然後按一下新增

表格 1. View Composer 和事件資料庫支援的資料庫伺服器

資料庫

Service Pack/版本

版本

Microsoft SQL Server 2014

(32 和 64 位元)

無 SP、SP1

Standard

Enterprise

Microsoft SQL Server 2012

(32 和 64 位元)

SP2

Express

Standard

Enterprise

Microsoft SQL Server 2008 R2

(32 和 64 位元)

SP2、SP3

Express

Standard

Enterprise

資料中心

Oracle 12c

Release 1 (任何版本最高為 12.1.0.2)

Standard One

Standard

Enterprise

備註︰

不再支援下列版本:Microsoft SQL Server 2008 SP4 和 Oracle 11g Release 2 (11.2.0.04)。